## org.apache.batik.dom.svg
Class AbstractSVGAnimatedLength

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGAnimatedLength

All Implemented Interfaces:
  LiveAttributeValue, SVGAnimatedLength

Direct Known Subclasses:
  SVGOMAnimatedLength

public abstract class AbstractSVGAnimatedLength
extends java.lang.Object
implements SVGAnimatedLength, LiveAttributeValue

This class provides an implementation of the `SVGAnimatedLength` interface.

Nested Class Summary
`protected class` `AbstractSVGAnimatedLength.BaseSVGLength` This class represents the SVGLength returned by getBaseVal().

Field Summary
`protected AbstractSVGAnimatedLength.BaseSVGLength` `baseVal` The base value.
`protected boolean` `changing` Whether the value is changing.
`protected short` `direction` This length's direction.
`protected AbstractElement` `element` The associated element.
`static short` `HORIZONTAL_LENGTH` This constant represents horizontal lengths.
`protected java.lang.String` `localName` The attribute's local name.
`protected java.lang.String` `namespaceURI` The attribute's namespace URI.
`static short` `OTHER_LENGTH` This constant represents other lengths.
`static short` `VERTICAL_LENGTH` This constant represents vertical lengths.

Constructor Summary
`protected` `AbstractSVGAnimatedLength(AbstractElement elt, java.lang.String ns, java.lang.String ln, short dir)` Creates a new SVGAnimatedLength.

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`SVGLength` `getAnimVal()` DOM: Implements `SVGAnimatedLength.getAnimVal()`.
`SVGLength` `getBaseVal()` DOM: Implements `SVGAnimatedLength.getBaseVal()`.
`protected abstract java.lang.String` `getDefaultValue()` Returns the default value to use when the associated attribute was not specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HORIZONTAL_LENGTH

    public static final short HORIZONTAL_LENGTH

  This constant represents horizontal lengths.

  See Also:
    Constant Field Values

### VERTICAL_LENGTH

    public static final short VERTICAL_LENGTH

  This constant represents vertical lengths.

  See Also:
    Constant Field Values

### OTHER_LENGTH

    public static final short OTHER_LENGTH

  This constant represents other lengths.

  See Also:
    Constant Field Values

### element

    protected AbstractElement element

  The associated element.

### namespaceURI

    protected java.lang.String namespaceURI

  The attribute's namespace URI.

### localName

    protected java.lang.String localName

  The attribute's local name.

### direction

    protected short direction

  This length's direction.

### baseVal

    protected AbstractSVGAnimatedLength.BaseSVGLength baseVal

  The base value.

### changing

    protected boolean changing

  Whether the value is changing.

Constructor Detail

### AbstractSVGAnimatedLength

    protected AbstractSVGAnimatedLength(AbstractElement elt,
                                        java.lang.String ns,
                                        java.lang.String ln,
                                        short dir)

  Creates a new SVGAnimatedLength.

Parameters:
  `elt` - The associated element.
  `ns` - The attribute's namespace URI.
  `ln` - The attribute's local name.
  `dir` - The length's direction.

Method Detail

### getDefaultValue

    protected abstract java.lang.String getDefaultValue()

  Returns the default value to use when the associated attribute was not specified.

### getBaseVal

    public SVGLength getBaseVal()

  DOM: Implements `SVGAnimatedLength.getBaseVal()`.

  Specified by:
    `getBaseVal` in interface `SVGAnimatedLength`

### getAnimVal

    public SVGLength getAnimVal()

  DOM: Implements `SVGAnimatedLength.getAnimVal()`.

  Specified by:
    `getAnimVal` in interface `SVGAnimatedLength`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.